"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const {
  executeSonarAnalysis
} = require("../../sonar-dependencies/runSonar");
class SonarQube {
  constructor(_cliArguments) {
    this.cliArguments = _cliArguments;
  }

  /**
   * @function executeAnalysis - Handle call for SonarQube execution
   * @returns {void}
   */
  executeAnalysis() {
    executeSonarAnalysis(this.cliArguments);
  }
}
var _default = exports.default = SonarQube;